package kz.arta.synergy.workflow.mobile.android.documents.favorite.models;

import java.io.Serializable;

/**
 * Created by neox on 24.06.15.
 * Избранное
 */
public class FavoriteItem implements Serializable {

    /**
     * UUID пункта
     */
    private String itemID;

    /**
     * Является ли пункт группой
     */
    private String group;

    /**
     * UUID реестра
     */
    private String registryID;

    /**
     * Имя реестра
     */
    private String registryName;

    /**
     * UUID формы
     */
    private String formID;

    /**
     * Имя формы
     */
    private String formName;

    /**
     * Является ли пункт "Избранным"
     */
    private String isBookmark;

    /**
     * Имя пункта
     */
    private String name;

    /**
     * UUID родителя
     */

    private String parentID;

    public String getRegistryName() {
        return registryName;
    }

    public void setRegistryName(String registryName) {
        this.registryName = registryName;
    }

    public String getParentID() {
        return parentID;
    }

    public void setParentID(String parentID) {
        this.parentID = parentID;
    }

    public String getItemID() {
        return itemID;
    }

    public void setItemID(String itemID) {
        this.itemID = itemID;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getRegistryID() {
        return registryID;
    }

    public void setRegistryID(String registryID) {
        this.registryID = registryID;
    }

    public String getFormID() {
        return formID;
    }

    public void setFormID(String formID) {
        this.formID = formID;
    }

    public String getFormName() {
        return formName;
    }

    public void setFormName(String formName) {
        this.formName = formName;
    }

    public String getIsBookmark() {
        return isBookmark;
    }

    public void setIsBookmark(String isBookmark) {
        this.isBookmark = isBookmark;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
